Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512727 - Azure - Disk properties missing or incorrect
Summary: Azure - Disk properties missing or incorrect
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.9.0
Assignee: Daniel Berger
QA Contact: Leo Khomenko
URL:
Whiteboard:
Depends On: 1512569
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-13 23:52 UTC by Satoe Imaishi
Modified: 2018-03-06 15:17 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.9
Doc Type: Enhancement
Doc Text:
Previously, CloudForms did not display operating system disk type and tier information for instances on Azure providers. This release adds the `get_unmanaged_disk_space` setting for use with Azure providers, which is enabled by default. When enabled, the `get_unmanaged_disk_space` setting gathers the disk size and tier for unmanaged disks by logging into the Azure storage account. Note, this setting can slow down provider refresh time due to the multiple requests needed for to collect this information, and can be disabled if desired.
Clone Of: 1512569
Environment:
Last Closed: 2018-03-06 15:17:50 UTC
Category: ---
Cloudforms Team: Azure


Attachments (Terms of Use)

Comment 3 CFME Bot 2017-11-29 20:32:00 UTC
New commit detected on ManageIQ/manageiq-providers-azure/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-azure/commit/e29a5fb43f8c3f55baca86cf8f2d60660a630e26

commit e29a5fb43f8c3f55baca86cf8f2d60660a630e26
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Thu Nov 9 16:40:21 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Nov 14 18:18:32 2017 -0500

    Merge pull request #158 from djberg96/disk_information
    
    Correct and update disk information
    (cherry picked from commit f8d65fcd1ca49ab286e980d62f2a9ad2d62ae7b2)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1512727

 .../azure/cloud_manager/refresh_parser.rb          |   70 +-
 .../providers/azure/refresh_helper_methods.rb      |    6 +
 config/settings.yml                                |    4 +
 .../azure/cloud_manager/refresher_spec.rb          |   10 +-
 .../providers/azure/cloud_manager/refresher.yml    | 4929 ++++++++++++++------
 5 files changed, 3499 insertions(+), 1520 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.